Bug 273681 - RFE: vhdl syntax for kate
RFE: vhdl syntax for kate
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kdelibs (Show other bugs)
rawhide
All All
medium Severity low
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F8Target
  Show dependency treegraph
 
Reported: 2007-09-01 06:45 EDT by Chitlesh GOORAH
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-18 13:40:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch for alliance's integration into the distro (556 bytes, patch)
2007-09-01 06:45 EDT, Chitlesh GOORAH
no flags Details | Diff

  None (edit)
Description Chitlesh GOORAH 2007-09-01 06:45:21 EDT
Description of problem:
I'm hoping to see a livecd for Fedora Electronic Lab based on KDE.

Alliance VLSI uses 2 different file extensions for vhdl text files:
*.vst (Vhdl STructural description)
*.vbe (Vhdl BEhavioral description)

These extensions are based on the current vhdl syntax provided by kdelibs.

These file extensions contain the same vhdl syntax, but when they are given as
input to simulators, the latter will simulate in accordance to the description
(either structural or behavioral)

I'm attaching a patch to entail *.vst and *.vbe among the file extensions
supported to highlight vhdl syntax properly on kate.

Please include it in kdelibs.

I've already discussed this with Rex.
Comment 1 Chitlesh GOORAH 2007-09-01 06:45:21 EDT
Created attachment 184381 [details]
patch for alliance's integration into the distro
Comment 2 Rex Dieter 2007-09-07 11:26:06 EDT
As I mentioned in our irc conversation too, an alternative approach would be to
simply register these additional file extentions for text/x-vhdl mimetype.  Once
that's done, kate highlighting (as well as file associations, etc...) would
"just work".
Comment 3 Chitlesh GOORAH 2007-09-09 06:04:20 EDT
Are you referring to alliance's desktop files ?

Alliance has a collection of binaries at %{_bindir}, some GUI and others CLI.
Thus not everyone has a desktop file, but most of them use the same file 
format.
Comment 4 Ignacio Vazquez-Abrams 2007-10-02 14:52:17 EDT
See the fyre package in order to understand how an app registers MIME types,
both the fyre.xml file and fedora-fyre.desktop. Making the .desktop file not
show in any menus is trivial.
Comment 5 Will Woods 2007-10-18 13:00:56 EDT
We've passed the freeze for F8. This isn't release-blocker material but it's
certainly a small and useful change that could probably get done before the
final release.

Moving to F8Target.
Comment 6 Ngo Than 2007-10-18 13:40:19 EDT
it's now fixed in kdelibs-3_5_8-5_fc8

Note You need to log in before you can comment on or make changes to this bug.